## org.hibernate.property
Class Dom4jAccessor.TextSetter

    java.lang.Object
      org.hibernate.property.Dom4jAccessor.Dom4jSetter
          org.hibernate.property.Dom4jAccessor.TextSetter

All Implemented Interfaces:
  Serializable, Setter

Enclosing class:
  Dom4jAccessor

    public static class Dom4jAccessor.TextSetter

extends Dom4jAccessor.Dom4jSetter

For nodes like `"."`

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.property.Dom4jAccessor.Dom4jSetter
`propertyType`

Method Summary
`void` `set(Object target, Object value, SessionFactoryImplementor factory)` Set the property value from the given instance

Methods inherited from class org.hibernate.property.Dom4jAccessor.Dom4jSetter
`getMethod, getMethodName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### set

    public void set(Object target,
                    Object value,
                    SessionFactoryImplementor factory)
             throws HibernateException

  Set the property value from the given instance

  Parameters:
    `target` - The instance upon which to set the given value.
    `value` - The value to be set on the target.
    `factory` - The session factory from which this request originated.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.